明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 341|回复: 1

[提问] 根据孔径大小和文本前缀选择

[复制链接]
发表于 2016-9-29 15:59 | 显示全部楼层 |阅读模式
(defun  c:qq(/ ent ent0 ss)
  (if (and (setq ent (car (entsel "\n选择一个实体类型<退出>:")))
          (setq ent0 (assoc 0 (entget ent)))
      )
    (progn
      (setq ss (ssget (list ent0)))
      (sssetfirst nil ss)
      (princ (strcat "\n共选中了" (itoa (sslength ss)) "个 <" (cdr ent0) ">。"))
    )
  )
  (princ)
)
这个快速选择程序,想请各位大侠帮忙改一下。
在(entsel "\n选择一个实体类型<退出>:")))时,点选的圆孔直径是多大,框选时就只选该直径值的圆。
在(entsel "\n选择一个实体类型<退出>:")))时,点选的文本前缀为A1 或A2 或A19,框选时就只选前缀为A,,,的文本,B,,,和C,,,不选。
发表于 2016-9-30 11:11 | 显示全部楼层
用小菜的选择易
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-12-12 20:21 , Processed in 0.159399 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表